/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a Data Transfer Object (DTO) for vocabulary details.
 * @export
 * @interface VocabularyDto
 */
export interface VocabularyDto {
    /**
     * The URI of the graph containing the vocabulary.
     * @type {string}
     * @memberof VocabularyDto
     */
    'graphUri': string;
    /**
     * The URI of the top-level parent class in the vocabulary.
     * @type {string}
     * @memberof VocabularyDto
     */
    'classUri': string;
    /**
     * The display name of the vocabulary.
     * @type {string}
     * @memberof VocabularyDto
     */
    'displayName'?: string | null;
    /**
     * The description of the vocabulary.
     * @type {string}
     * @memberof VocabularyDto
     */
    'description'?: string | null;
}

